FROM ubuntu:focal
RUN export DEBIAN_FRONTEND=noninteractive \
    && apt-get update \
    && apt-get install -y --no-install-recommends \
       wget \
       ca-certificates \
    \
    # Install Microsoft package feed
    && wget -q https://packages.microsoft.com/config/ubuntu/20.04/packages-microsoft-prod.deb -O packages-microsoft-prod.deb \
    && dpkg -i packages-microsoft-prod.deb \
    && rm packages-microsoft-prod.deb \
    \
    # Install .NET
    && apt-get update \
    && apt-get install -y --no-install-recommends \
	apt-transport-https \
        dotnet-sdk-5.0 \
        dotnet-sdk-3.1 \
        libpng16-16 \
	libnvtt-dev \
    \
    # Cleanup
    && rm -rf /var/lib/apt/lists/*

RUN dotnet tool install -g dotnet-mgcb
